> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_help.md).

# help - Bitcoin Gold

Example code for the help json-rpc method. Сomplete guide on how to use help json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`command` - string, optional, default=all commands

The command to get help on

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "help",
"params": ["help"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": "List all commands, or get help for a specified command."
}
```
